<?php
/**
 * 111_Shipping_costs_zones.php created on 03/mar/2009
 *
 * 
 * @author Alessandro Vernassa <speleoalex@gmail.com>
 */


global $_FN;
include ("fncommerce/config.php");
require_once ("fncommerce/fnc_functions.php");
require_once ("fncommerce/fnc_pages.php");
$opmod = getparam("opmod", PAR_GET, SAN_HTML);
$op = getparam("opt", PAR_GET, SAN_HTML);
$name = getparam("name", PAR_POST, SAN_HTML);


if ($opmod == "")
{
	echo "<div>";
	echo "Qui  possibile definire le tabelle che associano le zone ai costi di spedizione";
	echo "</div>";
}


if($opmod=="newtable" &&  $name!="")
{
	if (!is_alphanumeric($name))
	{
		echo _FNNOTVALIDFIED;	
	}
	else
	{
		$fields=array();
		$fields[1]['name'] = "unirecid";
		$fields[1]['extra'] = "autoincrement";
		$fields[1]['frm_show'] = "0";		
		$fields[1]['primarykey'] = "1";

		$fields[2]['name'] = "country";
		$fields[2]['frm_it'] = "Nazione";
		$fields[2]['frm_en'] = "Country";
		$fields[2]['frm_es'] = "Country";
		$fields[2]['frm_de'] = "Country";
		$fields[2]['foreignkey'] = "fnc_countries";
		$fields[2]['fk_link_field'] = "unirecid";
		$fields[2]['fk_show_field'] = "name";


		$fields[3]['name'] = "zone";
		$fields[3]['frm_it'] = "Zona";
		$fields[3]['frm_en'] = "Max height";
		$fields[3]['frm_es'] = "Max height";
		$fields[3]['frm_de'] = "Max height";
		$fields[3]['foreignkey'] = "fnc_zones";
		$fields[3]['fk_link_field'] = "unirecid";
		$fields[3]['fk_show_field'] = "name";


		$fields[4]['name'] = "tablename";
		$fields[4]['frm_it'] = "Tabella";
		$fields[4]['frm_en'] = "Tablename";
		$fields[4]['frm_es'] = "Tablename";
		$fields[4]['frm_de'] = "Tablename";
		$fields[4]['frm_type'] = "select";



		
	if (!file_exists("{$_FN['datadir']}/fndatabase/fnc_shippingzones_$name.php"))	
		echo createxmltable('fndatabase', 'fnc_shippingzones_'.$name, $fields, $_FN['datadir'], "shippingcostszones");
	}
}



//---lista tabelle che riguardano i costi di spedizione
$tables=glob("{$_FN['datadir']}/fndatabase/fnc_shippingzones_*.php");


//----------lista delle tabelle dei costi----------->
$options=array();
$tableshippingcosts=glob("{$_FN['datadir']}/fndatabase/fnc_shippingcosts_*.php");

foreach($tableshippingcosts as $table)
{
	$k['value']=basename(fn_erg_replace('.php$','',$table));
	$k['title']=basename(fn_erg_replace('.php$','',$table));
	$k['title']=fn_erg_replace('^fnc_shippingcosts_','',$k['title']);
	$options[]=$k;
}

//----------lista delle tabelle dei costi-----------<


foreach($tables as $table)
{
	$tablename=basename(fn_erg_replace('.php$','',$table));
	if ($opmod == "" || $opmod == "insnew_$tablename" || ereg("^del_",$opmod)|| $opmod == "newtable" )
	{
		$tabletitle=fn_erg_replace('^fnc_shippingzones_','',$tablename);
		echo "<h1>$tabletitle</h1>";
		$table = new FieldForm("fndatabase", "$tablename",  $_FN['datadir'], $_FN['lang'], $_FN['languages']);
		
//		dprint_r($table->formvals['tablename']['options']);
		$table->formvals['tablename']['options'] = $options;
		//dprint_r($table->formvals['tablename']['options']);
		//dprint_r();
		FN_cc_edit_xmltable($tablename, "fndatabase", $_FN['datadir'], "", false,$table);
	}
}


if ($opmod == "")
{	echo "<form method=\"post\" action=\"?mod={$_FN['mod']}&amp;opt=$op&amp;opmod=newtable\" >";
	echo "<b>"._FNC_NEWSHIPPINGTABLEZONES.":</b><br />";
	echo _FNOME.":&nbsp;<input type=\"text\" name=\"name\" value=\"\" />";
	echo "&nbsp;<input type=\"submit\"  value=\""._EXEC."\" />";
	echo "</form>";
}

?>
